%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           londonlaw
Version:        0.2.1
Release:        6%{?dist}
Summary:        Online multiplayer version of a well known detective boardgame
License:        GPLv2
Group:          Amusements/Games
URL:            http://pessimization.com/software/londonlaw/
Source0:        http://pessimization.com/software/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}-server.desktop
Patch0:         londonlaw-0.2.1-new-twisted.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel wxPython tetex-latex ghostscript ImageMagick
BuildRequires:  desktop-file-utils
BuildArch:      noarch
Requires:       wxPython python-twisted-core

%description
London Law is an online multiplayer version of a well known detective
boardgame. The game is unusually asymmetric; one player controls the movements
of the criminal Mr. X as he tries to evade the detectives, while another one to
five players control five detectives trying to track him down. Mr. X has an
advantage in access to transportation routes, and his precise location remains
hidden for most of the game. The detectives have only the advantage of superior
numbers, so they must work in concert to limit the criminal's options. London
Law features an attractive map overlaid on high-resolution satellite imagery.


%prep
%setup -q
%patch0 -p1
chmod +x setup.py


%build
./setup.py build
make -C doc manual.pdf


%install
rm -rf $RPM_BUILD_ROOT
./setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT
# already in /usr/bin
rm $RPM_BUILD_ROOT%{python_sitelib}/%{name}/london-{client,server}.py
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
convert londonlaw/guiclient/images/playericon1.jpg -resize 48x48 \
   $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor=fedora               \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications  \
  %{SOURCE1}
desktop-file-install --vendor=fedora               \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications  \
  %{SOURCE2}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog doc/TODO doc/*.pdf doc/readme.protocol
%{_bindir}/london-*
%{_datadir}/%{name}
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info
%{_datadir}/applications/fedora-%{name}*.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.1-5
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.1-4
- Rebuild for Python 2.6

* Thu Jan  3 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.1-3
- Add .egg-info file to %%files

* Mon Oct  1 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.1-2
- Use default BuildRoot (bz 302091)
- Don't ship README (no usefull info) (bz 302091)

* Sun Sep 23 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.1-1
- Initial Fedora package
